package cn.estsh.i3plus.ext.mes.pcn.api.base;

import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.*;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.mes.bean.MesWorkCell;

import java.util.List;


/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/2/2 13:41
 **/
public interface IFourMDetailService {

    /**
     * 新增
     *
     * @param detail
     * @return
     */
    MesFourMDetail insert(MesFourMDetail detail);

    /**
     * 修改
     *
     * @param detail
     * @return
     */
    void update(MesFourMDetail detail);

    /**
     * 查询
     *
     * @param detail
     * @param pager
     * @return
     */
    ListPager<MesFourMDetail> queryByPager(MesFourMDetail detail, Pager pager);

    List<MesWorkCell> queryCell(String workCenterCode, String organizeCode);

    List<MesWorkOrderExt> queryWorkOrder(String workCenterCode, String organizeCode);

    ListPager<MesFourMChange> queryByPager(MesFourMChange fourMChange, Pager pager);

    ListPager<MesFourMConfirm> queryByPager(MesFourMConfirm fourMConfirm, Pager pager);

    ListPager<MesFourMManage> queryByPager(MesFourMManage equipmentParam, Pager pager);


}
